org.springframework.jmx.export.metadata

## Class ManagedMetric

- java.lang.Object
- - org.springframework.jmx.export.metadata.AbstractJmxAttribute
  - - org.springframework.jmx.export.metadata.ManagedMetric

    public class ManagedMetric
    extends AbstractJmxAttribute

Metadata that indicates to expose a given bean property as a JMX attribute, with additional descriptor properties that indicate that the attribute is a metric. Only valid when used on a JavaBean getter.

Since:
  3.0
Author:
  Jennifer Hickey
See Also:
  `MetadataMBeanInfoAssembler`

### Constructor Summary

Constructors
Constructor and Description
`ManagedMetric()`

### Method Summary

Methods
`String` `getCategory()` The category of this metric (ex.
`String` `getDisplayName()` A display name for this metric.
`MetricType` `getMetricType()` A description of how this metric's values change over time.
`int` `getPersistPeriod()` The persist period for this metric.
`String` `getPersistPolicy()` The persist policy for this metric.
`String` `getUnit()` The expected unit of measurement values.
`void` `setCategory(String category)` The category of this metric (ex.
`void` `setDisplayName(String displayName)` A display name for this metric.
`void` `setMetricType(MetricType metricType)` A description of how this metric's values change over time.
`void` `setPersistPeriod(int persistPeriod)` The persist period for this metric.
`void` `setPersistPolicy(String persistPolicy)` The persist policy for this metric.
`void` `setUnit(String unit)` The expected unit of measurement values.

### Methods inherited from class org.springframework.jmx.export.metadata.AbstractJmxAttribute

`getCurrencyTimeLimit, getDescription, setCurrencyTimeLimit, setDescription`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManagedMetric

    public ManagedMetric()

### Method Detail

#### setCategory

    public void setCategory(String category)

The category of this metric (ex. throughput, performance, utilization).

#### getCategory

    public String getCategory()

The category of this metric (ex. throughput, performance, utilization).

#### setDisplayName

    public void setDisplayName(String displayName)

A display name for this metric.

#### getDisplayName

    public String getDisplayName()

A display name for this metric.

#### setMetricType

    public void setMetricType(MetricType metricType)

A description of how this metric's values change over time.

#### getMetricType

    public MetricType getMetricType()

A description of how this metric's values change over time.

#### setPersistPeriod

    public void setPersistPeriod(int persistPeriod)

The persist period for this metric.

#### getPersistPeriod

    public int getPersistPeriod()

The persist period for this metric.

#### setPersistPolicy

    public void setPersistPolicy(String persistPolicy)

The persist policy for this metric.

#### getPersistPolicy

    public String getPersistPolicy()

The persist policy for this metric.

#### setUnit

    public void setUnit(String unit)

The expected unit of measurement values.

#### getUnit

    public String getUnit()

The expected unit of measurement values.